# VectorNav C++ Library: vn::sensors::FilterBasicControlRegister Struct Reference

vn::sensors::FilterBasicControlRegister Struct Reference
Register Structures

Structure representing the Filter Basic Control register. More...

`#include <registers.h>`

## Public Member Functions

| FilterBasicControlRegister (protocol::uart::MagneticMode magModeIn, protocol::uart::ExternalSensorMode extMagModeIn, protocol::uart::ExternalSensorMode extAccModeIn, protocol::uart::ExternalSensorMode extGyroModeIn, vn::math::vec3f gyroLimitIn)
| Creates an initializes a new FilterBasicControlRegister structure. More...

## Public Attributes

protocol::uart::MagneticMode | magMode
| The magMode field.
protocol::uart::ExternalSensorMode | extMagMode
| The extMagMode field.
protocol::uart::ExternalSensorMode | extAccMode
| The extAccMode field.
protocol::uart::ExternalSensorMode | extGyroMode
| The extGyroMode field.
vn::math::vec3f | gyroLimit
| The gyroLimit field.

## Detailed Description

Structure representing the Filter Basic Control register.

## Constructor & Destructor Documentation

vn::sensors::FilterBasicControlRegister::FilterBasicControlRegister | ( | protocol::uart::MagneticMode | magModeIn,
|  | protocol::uart::ExternalSensorMode | extMagModeIn,
|  | protocol::uart::ExternalSensorMode | extAccModeIn,
|  | protocol::uart::ExternalSensorMode | extGyroModeIn,
|  | vn::math::vec3f | gyroLimitIn
| ) |  |

inline

Creates an initializes a new FilterBasicControlRegister structure.

Parameters

  [in] | magModeIn | Value to initialize the magMode field with.
  [in] | extMagModeIn | Value to initialize the extMagMode field with.
  [in] | extAccModeIn | Value to initialize the extAccMode field with.
  [in] | extGyroModeIn | Value to initialize the extGyroMode field with.
  [in] | gyroLimitIn | Value to initialize the gyroLimit field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h